package com.zd.chemical.domain.vo;

import com.zd.chemical.domain.HxpChemicalJoinCabinet;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpChemicalJoinCabinetGrandSon {

    /**
     * 机柜管理id
     */
    @Excel(name = "机柜管理id")
    @ApiModelProperty(value = "机柜管理id")
    private Long cabinetId;


    /**
     * 化学品规格
     */
    @Excel(name = "化学品规格")
    @ApiModelProperty(value = "化学品规格")
    private BigDecimal chemicalAmount;


    /**
     * 化学品规格单位
     */
    @Excel(name = "化学品规格单位")
    @ApiModelProperty(value = "化学品规格单位")
    private String chemicalAmountUnit;


    private List<HxpChemicalJoinCabinet> chemicalJoinCabinetList = new ArrayList<>();


    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public BigDecimal getChemicalAmount() {
        return chemicalAmount;
    }

    public void setChemicalAmount(BigDecimal chemicalAmount) {
        this.chemicalAmount = chemicalAmount;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public List <HxpChemicalJoinCabinet> getChemicalJoinCabinetList() {
        return chemicalJoinCabinetList;
    }

    public void setChemicalJoinCabinetList(List <HxpChemicalJoinCabinet> chemicalJoinCabinetList) {
        this.chemicalJoinCabinetList = chemicalJoinCabinetList;
    }
}
